#include "AuctionBrowser.h"
#include <iostream>

namespace Example
{
   AuctionBrowser::AuctionBrowser(const string& username, AuctionHouse& auctioneer)
      : AuctionUser(username, auctioneer)
   {
   }

   AuctionBrowser::~AuctionBrowser()
   {
   }

   void AuctionBrowser::lookAt(Seller& vendor, const string& what, float cost)
   {
      if (login())
      {
         // AuctionBrowsers don't buy stuff .. they just look
         cout << "I'm not actually going to buy a " << what << "!" << endl;
         cout << endl;
      }
   }
}